%define spname		ejb
%define name		%{spname}api-1.1-sun
%define version		1.1
%define release		1jpp
%define section		non-free
%define source_top	%{name}-%{version}

Summary:	Enterprise JavaBeans API
URL:		http://java.sun.com/products/ejb/

Source0:	j2sdkee-1_2_1-linux.tar.gz
NoSource:	0

# If you do not want -javadoc built, give rpmbuild option '--without javadoc'
%define with_javadoc %{!?_without_javadoc:1}%{?_without_javadoc:0}

%if %{with_javadoc}
# from http://java.sun.com/products/ejb/javadoc-1.1-fr/
Source1:	%{spname}-%{version}-api-sun-doc.tar.gz
NoSource:	1
%endif

Source2:	%{spname}1_1-corba.pdf
NoSource:	2

Source3:	%{spname}1_1-spec.pdf
NoSource:	3


Name:		%{name}
Version:	%{version}
Release:	%{release}
Epoch:		0
License:	Sun Binary Code License
Group:		Development/Libraries/Java
Vendor:		JPackage Project
Distribution:	JPackage
BuildArch:	noarch
BuildRequires:	jpackage-utils > 0:1.5
BuildRequires:	java-devel
Requires:	jpackage-utils > 0:1.5
Provides:	%{spname} = %{epoch}:%{version}-%{release}
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
The Enterprise JavaBeans architecture is a component architecture
for the deployment of component-based distributed business
applications. Applications written using the Enterprise JavaBeans
architecture are scalable, transactional, and multi-user secure. 
These applications may be written once, and then deployed on any
server platform that supports the Enterprise JavaBeans specification.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description javadoc
Javadoc for %{name}

%prep
%setup -q -c -n %{source_top}
chmod -R go=u-w *

install -m 0644 %{SOURCE2} .
install -m 0644 %{SOURCE3} .

%if %{with_javadoc}
mkdir javadoc
( cd javadoc; gzip -dc %{SOURCE1} | tar xf - )
%endif

%build
mkdir ejb
(cd ejb
jar xf ../j2sdkee1.2.1/lib/j2ee.jar
jar cf %{name}.jar javax/ejb/*
)

%install
rm -rf $RPM_BUILD_ROOT

# jar
install -d -m 0755 $RPM_BUILD_ROOT%{_javadir}
install -p -m 0644 ejb/%{name}.jar  $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
ln -s %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

# javadoc
%if %{with_javadoc}
install -d -m 0755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr javadoc/*   $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%files
%defattr(-,root,root,-)
%doc *.pdf
%{_javadir}/*

%if %{with_javadoc}
%files javadoc
%defattr(-,root,root,-)
%doc %{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}
%endif

%changelog
* Thu Dec 10 2004 Ralph Apel <r.apel@r-apel.de> 0:1.1-1jpp
- release
- spec version and provider in name: ejbapi-1.1-sun
- provide ejb = 0:1.1-1jpp
